Holger's Java API

## com.antelmann.util
Class FormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.util.FormatException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CalendarException, XmcdFormatException

    public class FormatException

extends Exception

indicates that some content was not in the expected format

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`FormatException()`
`FormatException(Object content)`
`FormatException(String msg)`
`FormatException(String msg, Object content)`
`FormatException(String msg, Throwable cause)`
`FormatException(Throwable cause)`

Method Summary
`Object` `getFormattedContent()`
`void` `setFormattedContent(Object content)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatException

    public FormatException()

### FormatException

    public FormatException(Object content)

### FormatException

    public FormatException(String msg)

### FormatException

    public FormatException(String msg,
                           Object content)

### FormatException

    public FormatException(Throwable cause)

### FormatException

    public FormatException(String msg,
                           Throwable cause)

Method Detail

### setFormattedContent

    public void setFormattedContent(Object content)

### getFormattedContent

    public Object getFormattedContent()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads